# Generated by Django 4.1.3 on 2022-11-10 07:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DateTimeMixin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('update_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='ShortenUrl',
            fields=[
                ('datetimemixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='execusion.datetimemixin')),
                ('course_name', models.CharField(max_length=500)),
                ('course_description', models.TextField()),
                ('url', models.TextField()),
                ('course_link', models.TextField()),
                ('slug', models.SlugField()),
            ],
            bases=('execusion.datetimemixin',),
        ),
    ]
